#version 330 core
layout (location = 0) in vec3 aPos;
layout (location = 1) in vec2 aTexCoord;

uniform float frameTime;
uniform float frameCount;
uniform float scale;
uniform vec2 uniPos;

out vec2 TexCoord;

void main()
    {
        TexCoord = vec2((aTexCoord.x + frameTime + 0.0001)*frameCount, aTexCoord.y + 0.0001);
        gl_Position = vec4(vec3(aPos.x + uniPos.x, aPos.y + uniPos.y, aPos.z) * scale, 1.0);
    }
